## wxMaximizeEvent

An event being sent when the frame is maximized (minimized) or restored.

Derived from

wxEvent
wxObject

Include files

<wx/event.h>

Event table macros

To process a maximize event, use this event handler macro to direct input to a member function that takes a wxMaximizeEvent argument.

EVT_MAXIMIZE(func) | Process a wxEVT_MAXIMIZE event.

See also

Event handling overview, wxFrame::Maximize, wxFrame::IsMaximized

Members

wxMaximizeEvent::wxMaximizeEvent

### wxMaximizeEvent::wxMaximizeEvent

wxMaximizeEvent(int id = 0)

Constructor.